#### Operator index > By section > Create [src]

These functions generate various images. You can combine them with the arithmetic and rotate functions to build more complicated images.

## Functions

- `vips_black()`
- `vips_xyz()`
- `vips_grey()`
- `vips_gaussmat()`
- `vips_logmat()`
- `vips_text()`
- `vips_gaussnoise()`
- `vips_eye()`
- `vips_sines()`
- `vips_zone()`
- `vips_sdf()`
- `vips_identity()`
- `vips_buildlut()`
- `vips_invertlut()`
- `vips_tonelut()`
- `vips_mask_ideal()`
- `vips_mask_ideal_ring()`
- `vips_mask_ideal_band()`
- `vips_mask_butterworth()`
- `vips_mask_butterworth_ring()`
- `vips_mask_butterworth_band()`
- `vips_mask_gaussian()`
- `vips_mask_gaussian_ring()`
- `vips_mask_gaussian_band()`
- `vips_mask_fractal()`
- `vips_fractsurf()`
- `vips_worley()`
- `vips_perlin()`

## Enumerations

- `VipsTextWrap`
- `VipsSdfShape`